# Glib Schemas Fix
# https://github.com/thomX75/nixos-modules

{ config, lib, pkgs, ... }:

{
  config = lib.mkIf config.my.desktop.enable {
    environment.systemPackages = with pkgs; [ gsettings-desktop-schemas ];

    environment.variables = {
      GSETTINGS_SCHEMA_DIR="${pkgs.gsettings-desktop-schemas}/share/gsettings-schemas/${pkgs.gsettings-desktop-schemas.name}/glib-2.0/schemas";
    };
  }; 
}